write-host "Please wait..."
$ConfirmPreference="None"
$msextrn="MSExchangeTransport"
$taname="RightPostmaster2007"
$resmsg=""
$curpath=Convert-Path (Get-Location -PSProvider FileSystem)
$assemblypath=$curpath+"\"+$taname+".dll"
$tafactory=$taname+"RoutingAgent."+$taname+"RoutingAgentFactory"

$cf=Get-TransportAgent $taname
if ($cf -ne $null) 
{
  Uninstall-TransportAgent -Identity $taname
  $cf=Get-TransportAgent $taname
}

if ($cf -ne $null) 
{
  $resmsg="The previous version of '$taname' is not uninstalled by unknown reason."
}
else
{
  Install-TransportAgent -Name $taname -TransportAgentFactory $tafactory -AssemblyPath $assemblypath
  Enable-TransportAgent -Identity $taname
  $cf=Get-TransportAgent $taname
  if ($cf -ne $null) 
  {
    $resmsg="Transport agent '$taname' is installed successfully."
    Restart-Service $msextrn
  }
  else
  {
    $resmsg="Transport agent '$taname' is not installed by unknown reason."
  }
}
Clear-Host
write-host $resmsg
